| Home | Libraries | People | FAQ | More

## BoostBook element `template-nontype-parameter`

template-nontype-parameter — A nontype template parameter

## Synopsis

template-nontype-parameter ::= (type, default?, purpose?)

## Attributes

Name | Type | Value | Purpose
--- | --- | --- | ---
last-revision | #IMPLIED | CDATA | Set to $Date: 2009-10-10 15:53:46 +0100 (Sat, 10 Oct 2009) $ to keep "last revised" information in sync with CVS changes
pack | #IMPLIED | CDATA | Set to '1' if the parameter is a parameter pack.
name | #REQUIRED | CDATA | The name of the element being declared to referenced
id | #IMPLIED | CDATA | A global identifier for this element
xml:base | #IMPLIED | CDATA | Implementation detail used by XIncludes